package com.fs.his.service;

import java.util.List;
import com.fs.his.domain.FsHospital;
import com.fs.his.param.FsDiseaseListUParam;
import com.fs.his.param.FsHospitalListUParam;
import com.fs.his.vo.FsHospitalListUVO;
import com.fs.his.vo.OptionsVO;

/**
 * 医院Service接口
 *
 * @author fs
 * @date 2023-06-01
 */
public interface IFsHospitalService
{
    /**
     * 查询医院
     *
     * @param hospitalId 医院主键
     * @return 医院
     */
    public FsHospital selectFsHospitalByHospitalId(Long hospitalId);

    /**
     * 查询医院列表
     *
     * @param fsHospital 医院
     * @return 医院集合
     */
    public List<FsHospital> selectFsHospitalList(FsHospital fsHospital);

    /**
     * 新增医院
     *
     * @param fsHospital 医院
     * @return 结果
     */
    public int insertFsHospital(FsHospital fsHospital);

    /**
     * 修改医院
     *
     * @param fsHospital 医院
     * @return 结果
     */
    public int updateFsHospital(FsHospital fsHospital);

    /**
     * 批量删除医院
     *
     * @param hospitalIds 需要删除的医院主键集合
     * @return 结果
     */
    public int deleteFsHospitalByHospitalIds(Long[] hospitalIds);

    /**
     * 删除医院信息
     *
     * @param hospitalId 医院主键
     * @return 结果
     */
    public int deleteFsHospitalByHospitalId(Long hospitalId);

    List<FsHospitalListUVO> selectFsHospitalListUVO(FsHospitalListUParam param);

    List<OptionsVO> selectAllFsHospitalList();

    String importData(List<FsHospital> list);
}
